## org.eclipse.emf.codegen.merge.java.facade
Interface JEnumConstant

All Superinterfaces:
  JMember, JNode

All Known Implementing Classes:
  ASTJEnumConstant

    public interface JEnumConstant

extends JMember

Enum constant as described in JLS3 8.9.

>      EnumConstants:
>        EnumConstant
>        EnumConstants , EnumConstant

>      EnumConstant:
>        Annotations Identifier Argumentsopt ClassBodyopt

>      Arguments:
>        ( ArgumentListopt )

>      EnumBodyDeclarations:
>        ; ClassBodyDeclarationsopt

Since:
  2.3.0
See Also:
  JLS3 Section 8.9

Method Summary
`java.lang.String[]` `getArguments()` Returns an ordered list of arguments as declared in source.
`java.lang.String` `getBody()` Returns body of the enum constant.
`void` `setArguments(java.lang.String[] arguments)`
`void` `setBody(java.lang.String body)`

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JMember
`getComment, setComment`

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JNode
`getChildren, getContents, getFlags, getName, getParent, getQualifiedName, setFlags, setName`

Method Detail

### getArguments

    java.lang.String[] getArguments()

  Returns an ordered list of arguments as declared in source.

  Returns:
    arguments, or empty array if none

### setArguments

    void setArguments(java.lang.String[] arguments)

  Parameters:
    `arguments` -

### getBody

    java.lang.String getBody()

  Returns body of the enum constant.

  Returns:
    body, empty string if none

### setBody

    void setBody(java.lang.String body)

  Parameters:
    `body` -

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.